Subject: Re: Implementation of modifying VC change comments for Git

From: Sean Whitton <[email-masked]>
Date: Tue, 22 Oct 2024 22:52:44 +0800

Hello,

On Tue 22 Oct 2024 at 05:20pm +03, Eli Zaretskii wrote:

> This last step shows the following (again, indented 2 columns by me):
>
>   pick bf73d7e Foobar with some Unicode אבגד ą ě č
>   # pick d796890ee8cc77ac899954c3e94e5257c5f72615 amend!
> bf73d7e036c5d80cdd112f34255a0ab1ea697c07
>
>   # Rebase 6c6ea73..d796890 onto 6c6ea73 (1 command)
>   #
>   # Commands:
>   # p, pick = use commit
>   # r, reword = use commit, but edit the commit message
>   # e, edit = use commit, but stop for amending
>   # s, squash = use commit, but meld into previous commit
>   # f, fixup = like "squash", but discard this commit's log message
>   # x, exec = run command (the rest of the line) using shell
>   # d, drop = remove commit
>   #
>   # These lines can be re-ordered; they are executed from top to bottom.
>   #
>   # If you remove a line here THAT COMMIT WILL BE LOST.
>   #
>   # However, if you remove everything, the rebase will be aborted.
>   #
>   # Note that empty commits are commented out
>
> And if I type "C-x #" to exit, without changing the above in any way
> (since you didn't tell me to change anything), I'm back at ORIG-REV
> with its original log message.  IOW, the editing of the commit log
> message failed.

Thanks.  I think this concludes the testing on old Git on Windows.
There are two conclusions:

- the special handling for MS-Windows character encoding issues works

- the special handling for old Git cannot work, because the older Git
  doesn't recognise the "amend!" commits as special.

So, I'll restore the old sequence of git commands, move the defcustom
into vc.git and call it vc-allow-rewriting-published-history, and
install the change.  (It's late here, so, in the morning.)

-- 
Sean Whitton